-- constant.e - Global constants - HIP 2.0
-- Copyright (C) 2000  Davi Tassinari de Figueiredo
--
-- This program is distributed under the terms of the GNU General
-- Public License. Please read the documentation for more information.
--
-- This file has constants used in several parts of HIP.


-- Colors in a RGB tuple
global constant  PAL_RED = 3, PAL_GREEN = 2, PAL_BLUE = 1

-- bmp_info structure
global
constant BMP_WIDTH = 1, BMP_HEIGHT = 2, BMP_BPP = 3, BMP_HRES = 4,
	 BMP_VRES = 5, BMP_PAL = 6, BMP_COMPRESSION = 7,
	 BMP_BACKGROUNDCOLOR = 8,
	 BMP_INTERLACED = 9,        -- BMP_FORMAT = 9,
	 BMP_TRANSPARENT = 10,
	 BMP_TRANSPARENT_PIXELS = 11, BMP_AVAILABLEBYTES = 12,
	 BMP_SORTEDPAL = 13, BMP_MAXBITSPERBYTE = 14,
	 BMP_ADDRESS = 15,

	 BMP_INFO_SIZE = 15,        -- size of bmp_info


	 -- graphic format information
	 FORMAT_BMP = 1,                   -- Bitmap type
--         FORMAT_GIF = 2,
	 supported_bpps = { {8,24} }       -- supported BPPs for each format


-- Error codes
global constant ERROR_FILENOTFOUND = -1, ERROR_CORRUPTED = -2,
		ERROR_UNSUPPORTED = -3, ERROR_FILEERROR = -4,
		ERROR_FILETOOBIG = -5, ERROR_NOHIDDENFILE = -6,
		ERROR_OUTOFMEMORY = -7, ERROR_INVALIDBMP = -8

